// Title:   Diffuser_Plugin.cpp
// Created: Thu Sep 25 15:11:41 2003
// Authors: Richard Keiser, Mark Pauly, Sascha Scandella
//
// Copyright (c) 2001, 2002, 2003, Computer Graphics Lab, ETH Zurich
//
// This file is part of the Pointshop3D system.
// See http://www.pointshop3d.com/ for more information.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later
// version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General
// Public License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place, Suite 330,
// Boston, MA 02111-1307 USA
// 
// Contact info@pointshop3d.com if any conditions of this
// licensing are not clear to you.
//

#include "Diffuser_Plugin.h"
#include "Diffuser_DialogImpl.h"
#include "../../../Core/Scene/src/Scene.h"
#include <qobject.h>

// ******************
// 'What's this' text
// ******************

static const char *whatsThisText = "This is a Diffuser plugin"
"<ul><li>A implicit representation of the point-cloud is created to fill holes with volumetric diffusion.</li></ul>";

// ************
// Plugin class
// ************

Diffuser_Plugin::Diffuser_Plugin() {}
Diffuser_Plugin::~Diffuser_Plugin() {}

void Diffuser_Plugin::execute() {


	Diffuser_DialogImpl *Diffuser_Dialog;

	Diffuser_Dialog = Diffuser_DialogImpl::getInstance();
	Diffuser_Dialog->show();
	Diffuser_Dialog->raise();

}

bool Diffuser_Plugin::isAvailable() const {
	return this->checkPluginAvailability();
}

// ***************
// private methods
// ***************

bool Diffuser_Plugin::checkPluginAvailability() const {
	return (Scene::getInstance()->getNofObjects() >= 1);
}

// ****************
// access functions
// ****************

PLUGIN_API PluginInterface *createPlugin() {
	return new Diffuser_Plugin();
}

PLUGIN_API const char *getPluginName() {
	return "Diffuser ...";
}

PLUGIN_API const char *getPluginDescription() {
	return whatsThisText;
}

// Some Emacs-Hints -- please don't remove:
//
//  Local Variables:
//  mode:C++
//  tab-width:4
//  End:
