// Title:   myDefines.h
// Created: Thu Sep 25 15:09:17 2003
// Authors: Richard Keiser, Mark Pauly, Sascha Scandella
//
// Copyright (c) 2001, 2002, 2003, Computer Graphics Lab, ETH Zurich
//
// This file is part of the Pointshop3D system.
// See http://www.pointshop3d.com/ for more information.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later
// version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General
// Public License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place, Suite 330,
// Boston, MA 02111-1307 USA
// 
// Contact info@pointshop3d.com if any conditions of this
// licensing are not clear to you.
//

#ifndef __MYDEFINES_H
#define __MYDEFINES_H

// defines the maximum possible depth of an octree
#define MAX_LEVEL 16

#ifndef PLANE
enum PLANE {
	XY_PLANE,
	XZ_PLANE,
	YZ_PLANE
};
#endif

#ifndef DISTANCEFIELDCALC
enum DISTANCEFIELDCALC {
	TANGENTPLANES,
	WEIGHTED_LEASTSQUARES,
	OPT_WEIGHTED_LEASTSQUARES,
	NEXT_POINT
};
#endif


// returns the maximum
#ifndef MAX
#define MAX(a, b) ((a) > (b) ? (a) : (b))
#endif

// returns the minimum
#ifndef MIN
#define MIN(a, b) ((a) < (b) ? (a) : (b))
#endif


#endif	// __MYDEFINES_H

// Some Emacs-Hints -- please don't remove:
//
//  Local Variables:
//  mode:C++
//  tab-width:4
//  End:
